"""
A simple program to calculate the rate at which I receive spam.
It shows how to use pyfdate to calculate elapsed time and
show it in various ways.
"""

from pyfdate import *
spamCount = 310 # number of spams

t1 = Time(2007,8,20,7,38)
t2 = Time(2007,8,15,10,44)
p = t1 - t2     # p is a Period object
print
print "From...", t2.dt
print "to.....", t1.dt
print "....... a period of", p
print "\t-", p.asDays, "days"
print "\t-", p.asHours, "hours"
print "\t-", p.asMinutes , "minutes"
print "\t-", p.asSeconds , "seconds"
print
print "I received", spamCount, "spams"
print "\t- spams per day.......", spamCount / p.asDays
print "\t- spams per hour......", spamCount / p.asHours
print "\t- spams per minute....", spamCount / p.asMinutes
print

