# -*- coding: iso-8859-1 -*-
"""
Language-specific interface for pyfdate, for language: Danish
"""
LANG = "Danish"
TimeExpressedIn24Hours = True
CivilTimeSeparator = ":"
CivilDateFormat = "d m y" # m=nameOfMonth  d=dayOfMonth y=year

DAY     = u"dag"
DAYS    = u"dage"
HOUR    = u"stunde"
HOURS   = u"stunden"
MINUTE  = u"minute"
MINUTES = u"minuten"
SECOND  = u"sekunde"
SECONDS = u"sekunden"

WEEK    = u"uge"
WEEKS   = u"ugens"
MONTH   = u"mned"
MONTHS  = u"mneder"
YEAR    = u"r"
YEARS   = u"r"

MONTH_NAMES = \
{ 1:u"januar"
, 2:u"februar"
, 3:u"marts"
, 4:u"april"
, 5:u"maj"
, 6:u"juni"
, 7:u"juli"
, 8:u"august"
, 9:u"september"
,10:u"oktober"
,11:u"november"
,12:u"december"
}

WEEKDAY_NAMES = \
{1:u"mandag"
,2:u"tirsdag"
,3:u"onsdag"
,4:u"torsdag"
,5:u"fredag"
,6:u"lrdag"    
,7:u"sndag"    
}
  
JANUAR     =  1           
FEBRUAR    =  2           
MARTS      =  3            
APRIL      =  4            
MAJ        =  5              
JUNI       =  6             
JULI       =  7             
AUGUST     =  8           
SEPTEMBER  =  9        
OKTOBER    = 10          
NOVEMBER   = 11         
DECEMBER   = 12         

MANDAG   =  1         
TIRSDAG  =  2  
ONSDAG   =  3   
TORSDAG  =  4  
FREDAG   =  5  
#LRDAG  =  6    # not until Python 3
#SNDAG  =  7    # not until Python 3  
LORDAG   =  6   
SONDAG   =  7   

                  